Packaging tpcclib
=================

# Packaging #

Simple packaging tool, CPack, comes with [CMake](http://www.cmake.org).
Current version of `CMakeLists.txt` builds zip or tgz packages, depending on
the platform, but no installer.

Build and test the project in the usual manner and then run CPack on it.
To build a binary distribution (including programs and libaries) you would move to
the build directory and run

    cpack --config CPackConfig.cmake

To create a source distribution you would type

    cpack --config CPackSourceConfig.cmake

Packages will be created in a folder `../packages'.

## Building an installer ##

Installer can be built with CPack. You have to edit file `CMakeLists.txt`,
and set the `CPACK_GENERATOR` to use the generator that you like.

In Windows, you would need to install [NSIS](http://nsis.sourceforge.net) ;
currently it might not automatically set itself to Windows `PATH`, therefore
you have to add its bin directory to your `PATH`.

CPack does not currently support `productbuild`, which is the default 
package generator in recent macOS versions, but support is coming in CMake 
version 3.7.0. Currently, in order to create a installer for macOS you need to 
install `PackageMaker`.

Build and test the project in the usual manner and then run CPack on it.
Binary and source distribution can be done with the commands as before.

