#ifndef _TEST_TPCLI_H_
#define _TEST_TPCLI_H_
/*****************************************************************************/

/*****************************************************************************/
#include "tpcclibConfig.h"
/*****************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <math.h>
/*****************************************************************************/
#include "tpcmodels.h"
#include "tpcfunc.h"
#include "tpcpar.h"
/*****************************************************************************/
#include "tpcli.h"
/*****************************************************************************/

/*****************************************************************************/
/* interpolate */
int pol3eval(
  double *pp, double x1, double x2, double *y, double *yi, double *yii
);
int test_liFirstStepSize(TPCSTATUS *status);
int test_simSamples(TPCSTATUS *status);
int test_liInterpolate(TPCSTATUS *status);
int test_liInterpolateForPET(TPCSTATUS *status);
int test_liFrameMidValue(TPCSTATUS *status);
/*****************************************************************************/
/* integrate */
int test_liIntegrate(TPCSTATUS *status);
int test_liIntegratePET(TPCSTATUS *status);
int test_liIntegrateHalfFrame(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
#endif /* TEST_TPCLI */
