#ifndef _TEST_TPCRAND_H_
#define _TEST_TPCRAND_H_
/*****************************************************************************/

/*****************************************************************************/
#include "tpcclibConfig.h"
/*****************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <math.h>
/*****************************************************************************/
#include "tpcrand.h"
/*****************************************************************************/

/*****************************************************************************/
/* gaussdev */
int test_drandSeed(TPCSTATUS *status);
int test_drand(TPCSTATUS *status);
int test_drandRange(TPCSTATUS *status);
int test_drandGaussian(TPCSTATUS *status);
int test_drandExponential(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* shuffle */
int test_randomShuffle(TPCSTATUS *status);
int test_randomShuffleUnsigned(TPCSTATUS *status);
int test_randomPermutation(TPCSTATUS *status);
int test_randomPermutationUnsigned(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* mertwi */
int test_mertwiSeed32(TPCSTATUS *status);
int test_mertwiSeed64(TPCSTATUS *status);
int test_mertwiRandomInt64(TPCSTATUS *status);
int test_mertwiRandomDouble1(TPCSTATUS *status);
int test_mertwiRandomDouble2(TPCSTATUS *status);
int test_mertwiRandomBetween(TPCSTATUS *status);
int test_mertwiRandomExponential(TPCSTATUS *status);
int test_mertwiRandomGaussian(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
#endif /* TEST_TPCRAND */
