#ifndef _TEST_TPCIMAGE_H_
#define _TEST_TPCIMAGE_H_
/*****************************************************************************/

/*****************************************************************************/
#include "tpcclibConfig.h"
/*****************************************************************************/
#include "tpcimage.h"
/*****************************************************************************/

/*****************************************************************************/
/* image */
int test_imgInit(TPCSTATUS *status);
int test_imgFree(TPCSTATUS *status);
int test_imgAllocate(TPCSTATUS *status);
int test_imgHasData(TPCSTATUS *status);
int test_imgHasTimes(TPCSTATUS *status);
int test_imgHasCounts(TPCSTATUS *status);
int test_imgMinMax(TPCSTATUS *status);
int create_img(
  IMG *img,
  const unsigned int dimz, const unsigned int dimy, const unsigned int dimx, const unsigned int dimt
);
/* imageheader */
int test_imgFillOHeader(TPCSTATUS *status);
/* imageio */
int test_imgFormatDescr(TPCSTATUS *status);
int test_imgDefaultExtension(TPCSTATUS *status);
int test_imgRead(TPCSTATUS *status);
int test_imgWrite(TPCSTATUS *status);
int test_imgFormatFromFName(TPCSTATUS *status);
int test_imgFormatIdentify(TPCSTATUS *status);
/* imagedcm */
int test_imgReadDICOM(TPCSTATUS *status);
/* imagenii */
int test_imgReadNifti1(TPCSTATUS *status);
int test_imgWriteNifti1(TPCSTATUS *status);
/* imagesif */
int test_imgToSIF(TPCSTATUS *status);
int test_imgFromSIF(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
#endif /* TEST_TPCIMAGE */
