#ifndef _TEST_TPCISOTOPE_H_
#define _TEST_TPCISOTOPE_H_
/*****************************************************************************/

/*****************************************************************************/
#include "tpcclibConfig.h"
/*****************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
//#include <strings.h>
#include <ctype.h>
#include <math.h>
/*****************************************************************************/
#include "tpcisotope.h"
/*****************************************************************************/

/*****************************************************************************/
/* elements */
int test_elementName(TPCSTATUS *status);
int test_elementSymbol(TPCSTATUS *status);
int test_elementIdentify(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* isotope */
int test_isotopeHalflife(int verbose);
int test_isotopeBranching(int verbose);
int test_isotopeName(int verbose);
int test_isotopeIdentifyHalflife(int verbose);
int test_isotopeIdentify(int verbose);
/*****************************************************************************/

/*****************************************************************************/
/* decay */
int test_decayDescr(TPCSTATUS *status);
int test_lambdaFromHalflife(int verbose);
int test_lambdaFromIsotope(int verbose);
int test_decayCorrectionFactorFromLambda(int verbose);
int test_decayCorrectionFactorFromIsotope(int verbose);
/*****************************************************************************/

/*****************************************************************************/
/* ranoise */
int test_noiseSD4Frame(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
#endif /* TEST_TPCISOTOPE */
